Subject: Re: Case sensitivity in filenames
From: [email-masked] (Fergus Henderson)

8 Jan 1999 02:33:58 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: Corinna Vinschen <[email-masked]>, [email-masked]

On 07-Jan-1999, Earnie Boyd <[email-masked]> wrote:
> ---Corinna Vinschen <[email-masked]> wrote:
> > Cygwin is a emulation layer, to support porting of UNIX Tools with a
> > minimum of change. This implies, that the emulation layer should behave
> > as near to UNIX as it's possible.
> > 
> > If somebody want's tools with the user interface, but not with the
> > other features of UNIXish interface, he/she should use _native_ ports.
> > Lot of them exist. Why demanding this of cygwin, which is designed for
> > another goal?
> 
> I agree with Corinna.
....
> IMO, the fix would be to not allow MyFile.java not match myfile.java
> when being specific.  This would be more UNIX like.

I agree with this.  The default behaviour should be as Unix-like as possible.
However, don't forget that the goal is *porting* Unix tools.
A proper port to Windows will be case-insensitive as far as file-names
are concerned, because that is what Windows users expect.
Therefore, there should be a simple way of enabling case-insensitivity.

> There
> are workarounds to the problems of case sensitivity such as setting
> the appropriate switches for bash as has been reported already.  Or
> using the -iname switch in find instead of -name.  Or doing ls
> *.[jJ][aA][vV][aA] to find all cases of this file name.

Those work-arounds are better than a kick in the teeth, but it
would be much better if there was a *single* environment variable setting
that would cause *all* tools to treat file names in a case-insensitive
manner.  The `ls *.[jJ][aA][vV][aA]' work-around is unacceptably cumbersome,
and while bash, readline, and find all have work-arounds that are OK
in isolation, I think it would be much better to have a single work-around
rather than one per tool.

-- 
Fergus Henderson <[email-masked]>  |  "Binaries may die
WWW: <http://www.cs.mu.oz.au/~fjh>  |   but source code lives forever"
PGP: finger [email-masked]        |     -- leaked Microsoft memo.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".